# Function selectMaybeOne

- selectMaybeOne(tbl, where, selectopts?): Promise<null | Row>

- Select one record or null if no records

  #### Parameters

  - ##### tbl: string

    table name

  - ##### where: Where

    where object

  - ##### `Optional` selectopts: SelectOptions = {}

  #### Returns Promise<null | Row>

  - null if no record or first record data

  #### Function

  - Defined in sqlite/sqlite.ts:340

Generated using TypeDoc